### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class CLIOptionsRMIRegistry

java.lang.Object
com.sas.services.deployment.CLIOptionsRMIRegistry

@SASScope("ALL") @BinaryCompatibilityOnly public final class CLIOptionsRMIRegistry extends Object
Command line options used to specify an RMI registry's host and port.

Configuration Command Line Options
Option | Description
--- | ---
`host` | Name of the option used to specify the RMI registry's host.
`port` | Name of the option used to specify the RMI registry's port.

Since:
  9.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLIOptionsRMIRegistry()`
  Constructs a default instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.commons.cli.Option`
  `createOptionHost()`
  Creates the command line option used to specify the RMI registry's host.
  `org.apache.commons.cli.Option`
  `createOptionPort()`
  Creates the command line option used to specify the RMI registry's port.
  `String`
  `getNameOfOptionHost()`
  Gets the command line option "rmiregistryhost" used to specify the RMI registry's host.
  `String`
  `getNameOfOptionPort()`
  Gets the command line option "rmiregistryport" used to specify the RMI registry's port.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CLIOptionsRMIRegistry

    public CLIOptionsRMIRegistry()
    Constructs a default instance.
    Since:
      9.3

- ## Method Details

  - ### getNameOfOptionHost

    public String getNameOfOptionHost()
    Gets the command line option "rmiregistryhost" used to specify the RMI registry's host.
    Returns:
      Command line option "rmiregistryhost" used to specify the RMI registry's host.
    Since:
      9.3

  - ### getNameOfOptionPort

    public String getNameOfOptionPort()
    Gets the command line option "rmiregistryport" used to specify the RMI registry's port.
    Returns:
      Command line option "rmiregistryport" used to specify the RMI registry's port.
    Since:
      9.3

  - ### createOptionHost

    public org.apache.commons.cli.Option createOptionHost()
    Creates the command line option used to specify the RMI registry's host.
    Returns:
      Option used to specify the RMI registry's host.
    Since:
      9.3

  - ### createOptionPort

    public org.apache.commons.cli.Option createOptionPort()
    Creates the command line option used to specify the RMI registry's port.
    Returns:
      Option used to specify the RMI registry's port.
    Since:
      9.3